local ent = ents.Derive("base")

pw = 40
ph = 40
		
xVelocity = 0
yVelocity = 0
 
playerJumpVelocity = -800
runSpeed = 500

gravity = 1800

playerState = "jump"

function ent:setPos( x, y )
		self.x = x
		self.y = y
end

function ent:load( x, y )
	self:setPos( x, y )
end
	
function ent:update(dt)
	-- update the player's position
	self.x = self.x + (xVelocity * dt)
	self.y = self.y + (yVelocity * dt)
	-- move left and right
    if love.keyboard.isDown("d") then
		xVelocity = runSpeed
    end
    if love.keyboard.isDown("a") then
		xVelocity = -1 * runSpeed
    end
	-- if the j key is pressed...
    if not(playerState == "jump") and love.keyboard.isDown("j") then
    -- make the player jump
		yVelocity = playerJumpVelocity
		playerState = "jump"
    end
    -- apply gravity
    yVelocity = yVelocity + (gravity * dt)
	
    -- stop the player when they hit the ground
    if self.y >= yFloor - ph then
		self.y = yFloor - ph
		yVelocity = 0
		playerState = "stand"
    end
end

function ent:draw()
	love.graphics.setColor( 0, 0, 0, 255 )
	love.graphics.rectangle( "fill", self.x, self.y, pw, ph )
end

return ent;